/*  Wilbur - file indexing and search utility
 *  Copyright (C) 1995-1999  Craig Morris and RedTree Development Inc.
 *        craig@redtree.com - <http://wilbur.redtree.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  or at http://www.fsf.org
*/
#if !defined(__COMMANDDIALOG_H__)
#define __COMMANDDIALOG_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CommandDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCommandDialog dialog

class CCommandDialog : public CDialog
{
// Construction
public:
	CCommandDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCommandDialog)
	enum { IDD = IDD_COMMAND };
	CComboBox	m_cbCommand;
	CString	m_sCommand;
	BOOL	m_bSingleExec;
	BOOL	m_bPause;
	BOOL	m_bPreview;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCommandDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCommandDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnSavecommand();
	afx_msg void OnDeletecommand();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void updateRegistry();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMANDDIALOG_H__94AA6651_0F78_11D2_B2DD_006008A8E2D0__INCLUDED_)
