/*  Wilbur - file indexing and search utility
 *  Copyright (C) 1995-1999  Craig Morris and RedTree Development Inc.
 *        craig@redtree.com - <http://wilbur.redtree.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  or at http://www.fsf.org
*/
// OverWriteDialog.cpp : implementation file
//

#include "stdafx.h"
#include "wilbur.h"
#include "OverWriteDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COverWriteDialog dialog


COverWriteDialog::COverWriteDialog(CWnd* pParent /*=NULL*/)
	: CDialog(COverWriteDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(COverWriteDialog)
	m_sMessage = _T("");
	//}}AFX_DATA_INIT
}


void COverWriteDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COverWriteDialog)
	DDX_Text(pDX, IDC_OVERWRITE_MSG, m_sMessage);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COverWriteDialog, CDialog)
	//{{AFX_MSG_MAP(COverWriteDialog)
	ON_BN_CLICKED(IDC_OVERWRITE_ALL, OnOverwriteAll)
	ON_BN_CLICKED(IDC_OVERWRITE_NO, OnOverwriteNo)
	ON_BN_CLICKED(IDC_OVERWRITE_YES, OnOverwriteYes)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COverWriteDialog message handlers

void COverWriteDialog::OnOverwriteAll() 
{
	EndDialog( IDOK );
}

void COverWriteDialog::OnOverwriteNo() 
{
	EndDialog( IDNO );
}

void COverWriteDialog::OnOverwriteYes() 
{
	EndDialog( IDYES );
	
}
