/*  Wilbur - file indexing and search utility - WilburUtil launcher and scheduler
 *  Copyright (C) 1995-1999  Craig Morris and RedTree Development Inc.
 *        craig@redtree.com - <http://wilbur.redtree.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  or at http://www.fsf.org
*/
#if !defined(AFX_SCHEDULELISTDIALOG_H__4863C252_F97C_11D1_B2D9_006008A8E2D0__INCLUDED_)
#define AFX_SCHEDULELISTDIALOG_H__4863C252_F97C_11D1_B2D9_006008A8E2D0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ScheduleListDialog.h : header file
//

#if !defined( __SCHEDULE_H__)
#include "schedule.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CScheduleListDialog dialog

class CScheduleListDialog : public CDialog
{
// Construction
public:
	CScheduleListDialog(CWnd* pParent = NULL);   // standard constructor
	CScheduleList* m_pScheduleList;

// Dialog Data
	//{{AFX_DATA(CScheduleListDialog)
	enum { IDD = IDD_SCHEDULE_LIST };
	CListBox	m_scheduleListBox;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScheduleListDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	void addToListBox( CSchedule* pSchedule );
	void processList( bool bAdd );
	virtual BOOL OnInitDialog();
	// Generated message map functions
	//{{AFX_MSG(CScheduleListDialog)
	afx_msg void OnAdd();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnRemove();
	afx_msg void OnEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCHEDULELISTDIALOG_H__4863C252_F97C_11D1_B2D9_006008A8E2D0__INCLUDED_)
