/*  Wilbur - file indexing and search utility - CD launch program
 *  Copyright (C) 1995-1999  Craig Morris and RedTree Development Inc.
 *        craig@redtree.com - <http://wilbur.redtree.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  or at http://www.fsf.org
*/
/*  Wilbur - file indexing and search utility - CD launch program
 *  Copyright (C) 1995-1999  Craig Morris and RedTree Development Inc.
 *        craig@redtree.com - <http://wilbur.redtree.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  or at http://www.fsf.org
*/
// CDWilbur.h : main header file for the CDWILBUR application
//

#if !defined(AFX_CDWILBUR_H__C1A5B864_2F8C_11D1_A01D_006097709BFB__INCLUDED_)
#define AFX_CDWILBUR_H__C1A5B864_2F8C_11D1_A01D_006097709BFB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#ifndef __AFXTEMPL_H__ 
#include "afxtempl.h" 
#endif 

#include "resource.h"		// main symbols

/////////////////////////////////////////////////////////////////////////////
// CCDWilburApp:
// See CDWilbur.cpp for the implementation of this class
//

class CCDWilburApp : public CWinApp
{
public:
	CCDWilburApp();
	void checkInit();
	CString startDir();
	CString getValue( const CString& sKey );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCDWilburApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CCDWilburApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	private:
		CString m_sPath;
		CMap< CString, LPCSTR, CString, CString& > m_dictionary;
};

CCDWilburApp* thisApp();


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CDWILBUR_H__C1A5B864_2F8C_11D1_A01D_006097709BFB__INCLUDED_)
