// XtensionsHW - extensions to process .MHT multi-contents files
//

#include "stdafx.h"
#include <ctype.h>

#include "XtensionsHW.h"

char* scanBuffer(char *pBuffer1, int nBytes1, char *pBuffer2, int nBytes2)
{
	int pos1 = 0;
	int pos2;

	if ( 0 >= nBytes1 || 0 >= nBytes2 )
		return NULL;

	while ( pos1 < nBytes1 )
	{
		pos2 = 0;
		while ( tolower(pBuffer1[pos1++]) == tolower(pBuffer2[pos2++]) )
		{
			if ( pos2 == nBytes2 )
				return (&(pBuffer1[pos1 - pos2]));		// start of substring within buffer
			if ( pos1 == nBytes1 )			// end of buffer reached
				return NULL;
		}
	}

	return NULL;	// not found
}